﻿html, body {
    height: 100%
}

.fs-16 {
    font-size: 16px !important;
}

.lh-1 {
    line-height: 1.5 !important;
}

.flex-1 {
    flex: 1 !important;
}

.flex-2 {
    flex: 2 !important;
}

.w-max-content {
    width: max-content !important;
}

.center-absolute {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.border-radius-none {
    border-radius: 0;
}

.border-radius-xs {
    border-radius: .25rem;
}

.border-radius-sm {
    border-radius: .5rem;
}

.border-radius-md {
    border-radius: 1rem;
}

.border-radius-lg {
    border-radius: 1.5rem;
}

.price-danger {
    background-color: #ffb3b3 !important;
}

h3.page-title {
    padding: 0.5rem 1rem;
}

.form-control.custom-max-width {
    max-width: 300px;
}

.form-control.invalid {
    border-color: #dc3545;
}

.grey-text,
.form-group .form-check-label.small {
    color: #AAA;
}

.form-group .form-check-label.medium {
    font-size: 90%;
}

.fas.fa-trash-alt.delete-style {
    color: #e31010;
    font-size: 17px;
}

.fas.fa-info-circle.scheduler-info-style {
    color: #2660bd;
    font-size: 1.6rem;
}

.blazored-toast-container {
    z-index: 10000 !important;
}

input.uppercase {
    text-transform: uppercase;
}

.photo-helper {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    opacity: 0.5;
}

    .photo-helper > .guide-line-user {
        background: url(../img/user-default-transparent.png) center no-repeat;
        background-size: 140%
    }

    .photo-helper > .guide-line-document {
        background: url(../img/document-default.png) center no-repeat;
        background-size: 70%
    }

.square {
    position: relative;
    width: 50%;
}

    .square:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.help-cursor {
    cursor: help;
}

/* Custom Modal Style */
.blazored-modal {
    background-color: var(--modal-background-color) !important;
    border: var(--modal-border) !important;
    max-width: 95vw;
    max-height: 98vh;
    padding: 0.75rem 1.25rem !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    overflow: hidden;
}
    .blazored-modal > .bm-header {
        padding-bottom: 1rem !important;
    }
    .blazored-modal > .bm-content {
        flex: 1;
        overflow: auto;
    }

@media only screen and (max-width: 768px) {
    .blazored-modal {
        /*padding: 0.5rem;*/
    }
}

.custom-modal-style {
    display: flex;
    flex-direction: column;
    background-color: #fefefe;
    border-radius: 4px;
    border: 1px solid #fff;
    padding: 0.5rem;
    z-index: 102;
    box-shadow: 0 2px 2px rgba(0,0,0,.75);
}

    .custom-modal-style .blazored-modal-header {
        display: none;
    }

.modal-container {
    height: auto;
    width: 600px !important;
    max-width: 85vw;
    max-height: 80vh;
    overflow: auto;
}

.modal-info-xl-container {
    height: auto;
    max-height: 80vh;
    width: 90vw;
    overflow: auto;
}

.modal-detail-container, .modal-info-container {
    height: auto;
    max-height: 80vh;
    width: 80vw;
    overflow: auto;
}

.modal-soisy-container {
    height: 75vh;
    width: 80vw;
    overflow: auto;
}

.modal-footer {
    padding: 0 !important;
}
    .modal-footer > * {
        padding: 0.25rem;
        margin: 0 !important;
    }
/* END Custom Modal Style */
/* Agenda Component */
.agenda-days-container {
}

    .agenda-days-container > .row {
        overflow-x: auto;
        white-space: nowrap;
        display: block !important;
        min-height: 100%;
        max-height: 100%;
    }

        .agenda-days-container > .row .day-scheduler-container {
            width: auto;
            max-width: 100%;
            white-space: normal;
            display: inline-block;
            vertical-align: top;
            padding-bottom: 2rem;
        }

.day-scheduler-container .day-scheduler-header {
    padding: 0.5em;
    background-color: #123B6F;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
}

.day-scheduler-event {
    white-space: nowrap;
    color: black;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

    .day-scheduler-event:before {
        content: '\A';
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background: rgba(0,0,0,0.2);
        opacity: 0;
        transition: all 0.2s;
        -webkit-transition: all 0.2s;
    }

    .day-scheduler-event:hover:before {
        opacity: 1;
    }

    .day-scheduler-event.selected-event {
        border: 2px solid red;
    }

    .day-scheduler-event > div {
        display: inline-block;
        white-space: normal;
        vertical-align: middle;
        position: relative;
    }

        .day-scheduler-event > div.day-scheduler-event-time {
            font-size: 75%;
        }

        .day-scheduler-event > div.day-scheduler-event-subject {
            font-size: 90%;
            flex-grow: 1;
        }

.day-scheduler-body .no-scheduler-event {
    color: #999
}

.day-scheduler-type {
    text-transform: uppercase;
}

.day-scheduler-event > div.day-scheduler-event-icons {
    width: auto;
    height: 1.5rem;
}

    .day-scheduler-event > div.day-scheduler-event-icons i {
        line-height: 1.5;
    }

@media only screen and (max-width: 600px) {
    .day-scheduler-event > div.day-scheduler-event-time {
        width: auto;
    }

    .day-scheduler-event > div.day-scheduler-event-subject {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        width: auto;
        flex: 1;
    }

    .agenda-days-container > .row .day-scheduler-container {
        width: 95%;
    }
}
/* END Agenda Component */

.profile-img, .profile-md-img {
    width: 35px;
    height: 35px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin: 0 auto;
}

.profile-md-img {
    width: 30px;
    height: 30px;
}

    .profile-img.profile-img-large {
        width: 50px !important;
        height: 50px !important;
    }

.certificate-image-a4 {
    position: relative;
    width: 50%;
}

    .certificate-image-a4::after {
        content: "";
        display: block;
        padding-bottom: calc(100% * 1.4142);
    }

/* Loader */
.lds-ring {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}

    .lds-ring div {
        box-sizing: border-box;
        display: block;
        position: absolute;
        width: 64px;
        height: 64px;
        margin: 8px;
        border: 8px solid #17a2b8;
        border-radius: 50%;
        animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
        border-color: #17a2b8 transparent transparent transparent;
    }

        .lds-ring div:nth-child(1) {
            animation-delay: -0.45s;
        }

        .lds-ring div:nth-child(2) {
            animation-delay: -0.3s;
        }

        .lds-ring div:nth-child(3) {
            animation-delay: -0.15s;
        }

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* END Loader */

.custom-pdf-viewer {
    width: 100%;
    height: 50vh;
}

.custom-square {
    position: relative;
    width: 75%;
}

    .custom-square::after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }


@media only screen and (max-width: 768px) {

    .custom-square {
        position: relative;
        width: 100%;
    }
}

.custom-tab-content {
    padding: .5rem 1rem;
    font-size: 1rem;
}

/* Float Button */
.float-button {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    right: 40px;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    border: none;
    /*box-shadow: 2px 2px 3px #999;*/
}

@media only screen and (max-width: 768px) {

    .float-button {
        bottom: 30px;
        right: 30px;
    }
}
/* END Float Button*/

.numberCircle {
    font-size: 15px;
    font-weight: bold;
    text-align: center;
    width: 1.6em;
    height: 1.6em;
    line-height: 1.6em;
    border-radius: 50%;
    box-sizing: initial;
    box-sizing: content-box;
    counter-increment: number;
}

    .numberCircle.counter {
        counter-increment: number;
    }

        .numberCircle.counter::before {
            content: counter(number);
        }

.numberCircle-danger {
    background: #dc3545;
}

.numberCircle-success {
    background: #0099AB;
}

.maximise {
    position: fixed !important;
    top: 0;
    right: 0;
    width: 100%
}

.bootstrap .card.custom-card,
.bootstrap .card.custom-grid-header,
.bootstrap .card.custom-grid-footer {
    background-color: var(--footer-background-color);
    border-color: var(--footer-border-color);
}

.common-scheduler-container,
.common-grid-container {
    position: relative;
    flex: 1;
    overflow: auto;
    width: 100%;
}

.common-panel-content-container {
    height: 100%;
    width: 100%;
    overflow: auto;
    font-size: 1rem;
}

.custom-grid-header {
    border-radius: 3px 3px 0 0;
}

.custom-grid-footer {
    border-radius: 0 0 3px 3px;
}

.advanced-panel-item-border .custom-grid-header,
.advanced-panel-item-border .custom-grid-footer {
    border-color: transparent;
    border-radius: 0;
}
.advanced-panel-item-border .custom-grid-header {
    border-bottom-color: var(--footer-border-color);
}
.advanced-panel-item-border .custom-grid-footer {
    border-top-color: var(--footer-border-color);
}

.custom-card {
    border-radius: .75rem;
    margin-bottom: .5rem;
}
    .custom-card .card-header {
        border-radius: .75rem;
        background-color: var(--footer-background-color);
        border: transparent;
    }

    .custom-card.accordion .card-header > div:after {
        font-family: 'Font Awesome 5 Pro';
        content: "\f077";
    }

    .custom-card.accordion .card-header.collapsed > div:after {
        content: "\f078";
    }

    .custom-card .card-header label {
        white-space: nowrap;
        /*overflow: hidden;
        text-overflow: ellipsis;*/
        width: auto;
        flex: 1;
    }

.bootstrap .btn.custom-btn,
.bootstrap-dark .btn.custom-btn,
.bootstrap .btn.custom-sm-btn,
.bootstrap-dark .btn.custom-sm-btn,
.bootstrap .btn.custom-md-btn,
.bootstrap-dark .btn.custom-md-btn {
    padding: 0px !important;
}

.bootstrap .btn.custom-btn,
.bootstrap-dark .btn.custom-btn {
    width: 36px;
    height: 36px;
}

.bootstrap .btn.custom-sm-btn,
.bootstrap-dark .btn.custom-sm-btn {
    width: 21px;
    height: 21px;
    font-size: 10px;
}

.bootstrap .btn.custom-md-btn,
.bootstrap-dark .btn.custom-md-btn {
    width: 30px;
    height: 30px;
    font-size: 12px;
}

.price-container {
    border: 1px solid var(--footer-border-color);
    background-color: var(--footer-price-container-background-color);
    border-radius: 5px;
}

.new-price-container {
    border: 1px solid var(--footer-border-color);
    background-color: var(--footer-price-container-background-color);
    border-radius: 5px;
    padding: 0.31rem;
    margin: 0 0.3rem;
    min-width: 40px;
    text-align: center;
}

.horiz-scroll {
    overflow: auto;
    white-space: nowrap;
    /*display: block;*/
    display: inline-flex;
    align-items: center;
}

    .horiz-scroll > div {
        line-height: 36px;
        align-self: center;
        flex: 0 0 auto;
        margin-right: .5rem;
    }
        .horiz-scroll:not(.keep-left) > div:last-child {
            align-self: end;
            flex: 1;
            text-align: right;
            margin-right: 0;
        }

.pnl-horiz-scroll {
}
@media only screen and (max-width: 768px) {

    .pnl-horiz-scroll {
        overflow: auto !important;
        white-space: nowrap !important;
        display: block !important;
    }

        .pnl-horiz-scroll > div {
            display: inline-block !important;
        }
}

.common-bg-image {
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

button.payments-images {
    height: 5vw;
}
@media only screen and (max-width: 768px) {
    button.payments-images {
        height: 15vw;
    }
}

.float-container {
    position: absolute;
    bottom: 10px;
    left: 10px;
    right: 10px;
}


div.card-columns.custom-card-columns .card {
    background-color: rgba(5, 39, 103, 0.1);
    border-radius: 25px;
}

    div.card-columns.custom-card-columns .card .card-img-top {
        border-top-left-radius: 25px;
        border-top-right-radius: 25px;
    }

    div.card-columns.custom-card-columns .card:hover {
        box-shadow: 1px 1px 15px #0003;
    }

    div.card-columns.custom-card-columns .card.selected-event {
        box-shadow: 1px 1px 15px #0008;
    }